#include<iostream>
using namespace std;
int main()
{
    int a, b, c, d, e;
    cin>>a>>b>>c>>d>>e;
    int kut=4;
   //if(a+d<=e && b+d>e)//
 // / {
   //    kut=2;
//   cout<<kut;
    //   return 0;
  // }
    if(a+d<=e && b+c<=e)//
   {
       kut=1;
       cout<<kut;
       return 0;
   }
   if(a+d<=e && b+c>e)//
   {
       kut=2;
       cout<<kut;
       return 0;
   }
   if(a+b<=e && c+d>e)//
   {
       kut=2;
       cout<<kut;
       return 0;
   }
   if(a+b<=e && c+d<=e)//
   {
       kut=2;
   }
   cout<<kut;
    return 0;
}
